Package com.io7m.idstore.server.api

# Record Class IdServerColorScheme

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerColorScheme

Record Components:
  `buttonColors` - The color of buttons
  `errorBorderColor` - The border color for error messages
  `headerBackgroundColor` - The background color of the page header
  `headerLinkColor` - The color of links in the page header
  `headerTextColor` - The color of text in the page header
  `mainBackgroundColor` - The background color of the main page
  `mainLinkColor` - The color of links on the main page
  `mainMessageBorderColor` - The border color of page messages
  `mainTableBorderColor` - The border color of tables
  `mainTextColor` - The main text color

public record IdServerColorScheme(com.io7m.cxbutton.core.CxButtonColors buttonColors, com.io7m.dixmont.colors.DmColor errorBorderColor, com.io7m.dixmont.colors.DmColor headerBackgroundColor, com.io7m.dixmont.colors.DmColor headerLinkColor, com.io7m.dixmont.colors.DmColor headerTextColor, com.io7m.dixmont.colors.DmColor mainBackgroundColor, com.io7m.dixmont.colors.DmColor mainLinkColor, com.io7m.dixmont.colors.DmColor mainMessageBorderColor, com.io7m.dixmont.colors.DmColor mainTableBorderColor, com.io7m.dixmont.colors.DmColor mainTextColor) extends Record
A server color scheme.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.io7m.dixmont.colors.DmColor`
  `OCEAN_BLUE`
  An ocean blue colour.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerColorScheme(com.io7m.cxbutton.core.CxButtonColors buttonColors, com.io7m.dixmont.colors.DmColor errorBorderColor, com.io7m.dixmont.colors.DmColor headerBackgroundColor, com.io7m.dixmont.colors.DmColor headerLinkColor, com.io7m.dixmont.colors.DmColor headerTextColor, com.io7m.dixmont.colors.DmColor mainBackgroundColor, com.io7m.dixmont.colors.DmColor mainLinkColor, com.io7m.dixmont.colors.DmColor mainMessageBorderColor, com.io7m.dixmont.colors.DmColor mainTableBorderColor, com.io7m.dixmont.colors.DmColor mainTextColor)`
  A server color scheme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.cxbutton.core.CxButtonColors`
  `buttonColors()`
  Returns the value of the `buttonColors` record component.
  `static IdServerColorScheme`
  `defaults()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.dixmont.colors.DmColor`
  `errorBorderColor()`
  Returns the value of the `errorBorderColor` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.dixmont.colors.DmColor`
  `headerBackgroundColor()`
  Returns the value of the `headerBackgroundColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `headerLinkColor()`
  Returns the value of the `headerLinkColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `headerTextColor()`
  Returns the value of the `headerTextColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `mainBackgroundColor()`
  Returns the value of the `mainBackgroundColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `mainLinkColor()`
  Returns the value of the `mainLinkColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `mainMessageBorderColor()`
  Returns the value of the `mainMessageBorderColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `mainTableBorderColor()`
  Returns the value of the `mainTableBorderColor` record component.
  `com.io7m.dixmont.colors.DmColor`
  `mainTextColor()`
  Returns the value of the `mainTextColor` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OCEAN_BLUE

    public static final com.io7m.dixmont.colors.DmColor OCEAN_BLUE
    An ocean blue colour.

- ## Constructor Details

  - ### IdServerColorScheme

    public IdServerColorScheme(com.io7m.cxbutton.core.CxButtonColors buttonColors, com.io7m.dixmont.colors.DmColor errorBorderColor, com.io7m.dixmont.colors.DmColor headerBackgroundColor, com.io7m.dixmont.colors.DmColor headerLinkColor, com.io7m.dixmont.colors.DmColor headerTextColor, com.io7m.dixmont.colors.DmColor mainBackgroundColor, com.io7m.dixmont.colors.DmColor mainLinkColor, com.io7m.dixmont.colors.DmColor mainMessageBorderColor, com.io7m.dixmont.colors.DmColor mainTableBorderColor, com.io7m.dixmont.colors.DmColor mainTextColor)
    A server color scheme.
    Parameters:
      `buttonColors` - The color of buttons
      `errorBorderColor` - The border color for error messages
      `headerBackgroundColor` - The background color of the page header
      `headerLinkColor` - The color of links in the page header
      `headerTextColor` - The color of text in the page header
      `mainBackgroundColor` - The background color of the main page
      `mainLinkColor` - The color of links on the main page
      `mainMessageBorderColor` - The border color of page messages
      `mainTableBorderColor` - The border color of tables
      `mainTextColor` - The main text color

- ## Method Details

  - ### defaults

    public static IdServerColorScheme defaults()
    Returns:
      The default color scheme

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### buttonColors

    public com.io7m.cxbutton.core.CxButtonColors buttonColors()
    Returns the value of the `buttonColors` record component.
    Returns:
      the value of the `buttonColors` record component

  - ### errorBorderColor

    public com.io7m.dixmont.colors.DmColor errorBorderColor()
    Returns the value of the `errorBorderColor` record component.
    Returns:
      the value of the `errorBorderColor` record component

  - ### headerBackgroundColor

    public com.io7m.dixmont.colors.DmColor headerBackgroundColor()
    Returns the value of the `headerBackgroundColor` record component.
    Returns:
      the value of the `headerBackgroundColor` record component

  - ### headerLinkColor

    public com.io7m.dixmont.colors.DmColor headerLinkColor()
    Returns the value of the `headerLinkColor` record component.
    Returns:
      the value of the `headerLinkColor` record component

  - ### headerTextColor

    public com.io7m.dixmont.colors.DmColor headerTextColor()
    Returns the value of the `headerTextColor` record component.
    Returns:
      the value of the `headerTextColor` record component

  - ### mainBackgroundColor

    public com.io7m.dixmont.colors.DmColor mainBackgroundColor()
    Returns the value of the `mainBackgroundColor` record component.
    Returns:
      the value of the `mainBackgroundColor` record component

  - ### mainLinkColor

    public com.io7m.dixmont.colors.DmColor mainLinkColor()
    Returns the value of the `mainLinkColor` record component.
    Returns:
      the value of the `mainLinkColor` record component

  - ### mainMessageBorderColor

    public com.io7m.dixmont.colors.DmColor mainMessageBorderColor()
    Returns the value of the `mainMessageBorderColor` record component.
    Returns:
      the value of the `mainMessageBorderColor` record component

  - ### mainTableBorderColor

    public com.io7m.dixmont.colors.DmColor mainTableBorderColor()
    Returns the value of the `mainTableBorderColor` record component.
    Returns:
      the value of the `mainTableBorderColor` record component

  - ### mainTextColor

    public com.io7m.dixmont.colors.DmColor mainTextColor()
    Returns the value of the `mainTextColor` record component.
    Returns:
      the value of the `mainTextColor` record component